ProxyHost (HttpClient Library (Version 3.1))
Date: 2016-03-09

org.apache.commons.httpclient

## Class ProxyHost

- java.lang.Object
- - org.apache.commons.httpclient.HttpHost
  - - org.apache.commons.httpclient.ProxyHost

- All Implemented Interfaces:
    java.lang.Cloneable

      public class ProxyHost
      extends HttpHost

  Holds all of the variables needed to describe an HTTP connection to a proxy. Proxy hosts always use plain HTTP connection when communicating with clients.
  Since:
    3.0
  Author:
    Michael Becke, Mike Bowler, Oleg Kalnichevski, Laura Werner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyHost(ProxyHost httpproxy)` Copy constructor for HttpHost
    `ProxyHost(java.lang.String hostname)` Constructor for HttpHost.
    `ProxyHost(java.lang.String hostname, int port)` Constructor for ProxyHost.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`

    - ### Methods inherited from class org.apache.commons.httpclient.HttpHost

      `equals, getHostName, getPort, getProtocol, hashCode, toString, toURI`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyHost

          public ProxyHost(ProxyHost httpproxy)

      Copy constructor for HttpHost
      Parameters:
        `httpproxy` - the HTTP host to copy details from

    - #### ProxyHost

          public ProxyHost(java.lang.String hostname,
                   int port)

      Constructor for ProxyHost.
      Parameters:
        `hostname` - the hostname (IP or DNS name). Can be `null`.
        `port` - the port. Value `-1` can be used to set default protocol port

    - #### ProxyHost

          public ProxyHost(java.lang.String hostname)

      Constructor for HttpHost.
      Parameters:
        `hostname` - the hostname (IP or DNS name). Can be `null`.

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `HttpHost`
      Throws:
        `java.lang.CloneNotSupportedException`
      See Also:
        `Object.clone()`

Copyright (c) 1999-2005 - Apache Software Foundation